This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 664009 - (CVE-2010-4022) CVE-2010-4022 krb5: kpropd unexpected termination on invalid input (MITKRB5-SA-2011-001)
CVE-2010-4022 krb5: kpropd unexpected termination on invalid input (MITKRB5-S...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.mit.edu/kerberos/advisorie...
public=20110208,reported=20101217,sou...
: Security
Depends On: 671101 671102 676127
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-17 13:11 EST by Jan Lieskovsky
Modified: 2016-01-22 12:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 12:02:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-12-17 13:11:33 EST
A denial of service flaw was found in the way kpropd,
a Kerberos V5 slave KDC update server, processed certain
update requests for KDC database propagation. A remote,
unauthenticated user could use this flaw to cause kpropd
daemon to terminate (stop the Kerberos server replication
process).
Comment 1 Jan Lieskovsky 2010-12-17 13:14:04 EST
This issue did NOT affect the versions of the krb5 package,
as shipped with Red Hat Enterprise Linux 4 and 5.

This issue affects the version of the krb5 package,
as shipped with Red Hat Enterprise Linux 6.
Comment 11 Vincent Danen 2011-02-08 16:15:48 EST
This issue is now public:

http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2011-001.txt
Comment 12 Vincent Danen 2011-02-08 16:34:49 EST
Statement:

This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 4 or 5 as the flaw was introduced in a later version of MIT krb5 (1.7).
Comment 13 Vincent Danen 2011-02-08 16:38:18 EST
Created krb5 tracking bugs for this issue

Affects: fedora-all [bug 676127]
Comment 14 errata-xmlrpc 2011-02-08 16:52:06 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0200 https://rhn.redhat.com/errata/RHSA-2011-0200.html

Note You need to log in before you can comment on or make changes to this bug.